Entwurf Verbinden

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft Join and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎русский
Nächste: Teilen Draft Split.svg Arrow-right.svg

Draft Join.svg Entwurf Verbinden

Menüeintrag
Änderung → Verbinden
Arbeitsbereich
Entwurf, Architektur
Standardtastenkürzel
J O
Eingeführt in Version
0.18
Siehe auch
Entwurf Teilen

Beschreibung

Der Draft Join.svg Entwurf Verbinden Befehl verbindet Entwurf Linien und Entwurf Drähte zu einem einzigen Draht. Dieser Befehl ist das Gegenstück zum Befehl Entwurf Teilen.

Anwendung

  1. Die Endpunkte der zu verbindenden Entwurf Linien und/oder Entwurf Drähte müssen genau deckungsgleich sein. Wenn erforderlich passe zunächst Punkte an, damit dies der Fall ist.
  2. Wähle zwei oder mehr Entwurf Linien und/oder Entwurf Drähte.
  3. Es gibt mehrere Möglichkeiten, den Befehl aufzurufen:
    • Drücke die Draft Join.svg Entwurf_Verbinden Schaltfläche.
    • Wähle die Option Änderung → Draft Join.svg Verbinden aus dem Menü.
    • Verwende das Tastaturkürzel: J dann O.

Hinweise

Skripten

Siehe auch: Autogenerierte API Dokumentation und FreeCAD Grundlagen Skripten.

Um Drähte zu verbinden, verwende die join_wires Methode (eingeführt in Version 0.19) des Moduls Entwurf. Diese Methode ersetzt die veraltete Methode joinWires. Diese Methode gibt None zurück.

join_wires(wires)
  • wires ist eine Liste von Drahtobjekten, die verbunden werden sollen.

Beispiel:

import FreeCAD as App
import Draft

doc = App.newDocument()

p1 = App.Vector(0, 0, 0)
p2 = App.Vector(500, 0, 0)
p3 = App.Vector(500, 500, 0)
p4 = App.Vector(0, 500, 0)

wire1 = Draft.make_wire([p1, p2])
wire2 = Draft.make_wire([p2, p3])
wire3 = Draft.make_wire([p3, p4])
wire4 = Draft.make_wire([p4, p1])

Draft.join_wires([wire1, wire3, wire2, wire4])
doc.recompute()


Nächste: Teilen Draft Split.svg Arrow-right.svg